<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>TestMultipartContentBody xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../testapidocs/org/apache/http/entity/mime/TestMultipartContentBody.html">View Javadoc</a></div><pre>

<a class="jxr_linenumber" name="1" href="#1">1</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="2" href="#2">2</a>   <em class="jxr_comment"> * ====================================================================</em>
<a class="jxr_linenumber" name="3" href="#3">3</a>   <em class="jxr_comment"> * Licensed to the Apache Software Foundation (ASF) under one</em>
<a class="jxr_linenumber" name="4" href="#4">4</a>   <em class="jxr_comment"> * or more contributor license agreements.  See the NOTICE file</em>
<a class="jxr_linenumber" name="5" href="#5">5</a>   <em class="jxr_comment"> * distributed with this work for additional information</em>
<a class="jxr_linenumber" name="6" href="#6">6</a>   <em class="jxr_comment"> * regarding copyright ownership.  The ASF licenses this file</em>
<a class="jxr_linenumber" name="7" href="#7">7</a>   <em class="jxr_comment"> * to you under the Apache License, Version 2.0 (the</em>
<a class="jxr_linenumber" name="8" href="#8">8</a>   <em class="jxr_comment"> * "License"); you may not use this file except in compliance</em>
<a class="jxr_linenumber" name="9" href="#9">9</a>   <em class="jxr_comment"> * with the License.  You may obtain a copy of the License at</em>
<a class="jxr_linenumber" name="10" href="#10">10</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="11" href="#11">11</a>  <em class="jxr_comment"> *   <a href="http://www.apache.org/licenses/LICENSE-2.0" target="alexandria_uri">http://www.apache.org/licenses/LICENSE-2.0</a></em>
<a class="jxr_linenumber" name="12" href="#12">12</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="13" href="#13">13</a>  <em class="jxr_comment"> * Unless required by applicable law or agreed to in writing,</em>
<a class="jxr_linenumber" name="14" href="#14">14</a>  <em class="jxr_comment"> * software distributed under the License is distributed on an</em>
<a class="jxr_linenumber" name="15" href="#15">15</a>  <em class="jxr_comment"> * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</em>
<a class="jxr_linenumber" name="16" href="#16">16</a>  <em class="jxr_comment"> * KIND, either express or implied.  See the License for the</em>
<a class="jxr_linenumber" name="17" href="#17">17</a>  <em class="jxr_comment"> * specific language governing permissions and limitations</em>
<a class="jxr_linenumber" name="18" href="#18">18</a>  <em class="jxr_comment"> * under the License.</em>
<a class="jxr_linenumber" name="19" href="#19">19</a>  <em class="jxr_comment"> * ====================================================================</em>
<a class="jxr_linenumber" name="20" href="#20">20</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="21" href="#21">21</a>  <em class="jxr_comment"> * This software consists of voluntary contributions made by many</em>
<a class="jxr_linenumber" name="22" href="#22">22</a>  <em class="jxr_comment"> * individuals on behalf of the Apache Software Foundation.  For more</em>
<a class="jxr_linenumber" name="23" href="#23">23</a>  <em class="jxr_comment"> * information on the Apache Software Foundation, please see</em>
<a class="jxr_linenumber" name="24" href="#24">24</a>  <em class="jxr_comment"> * &lt;<a href="http://www.apache.org/&gt;." target="alexandria_uri">http://www.apache.org/&gt;.</a></em>
<a class="jxr_linenumber" name="25" href="#25">25</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="26" href="#26">26</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="27" href="#27">27</a>  
<a class="jxr_linenumber" name="28" href="#28">28</a>  <strong class="jxr_keyword">package</strong> org.apache.http.entity.mime;
<a class="jxr_linenumber" name="29" href="#29">29</a>  
<a class="jxr_linenumber" name="30" href="#30">30</a>  <strong class="jxr_keyword">import</strong> java.io.ByteArrayInputStream;
<a class="jxr_linenumber" name="31" href="#31">31</a>  
<a class="jxr_linenumber" name="32" href="#32">32</a>  <strong class="jxr_keyword">import</strong> org.apache.http.entity.mime.content.InputStreamBody;
<a class="jxr_linenumber" name="33" href="#33">33</a>  <strong class="jxr_keyword">import</strong> org.apache.http.entity.mime.content.StringBody;
<a class="jxr_linenumber" name="34" href="#34">34</a>  <strong class="jxr_keyword">import</strong> org.junit.Assert;
<a class="jxr_linenumber" name="35" href="#35">35</a>  <strong class="jxr_keyword">import</strong> org.junit.Test;
<a class="jxr_linenumber" name="36" href="#36">36</a>  
<a class="jxr_linenumber" name="37" href="#37">37</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../org/apache/http/entity/mime/TestMultipartContentBody.html">TestMultipartContentBody</a> {
<a class="jxr_linenumber" name="38" href="#38">38</a>  
<a class="jxr_linenumber" name="39" href="#39">39</a>      @Test
<a class="jxr_linenumber" name="40" href="#40">40</a>      <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testStringBody() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="41" href="#41">41</a>          StringBody b1 = <strong class="jxr_keyword">new</strong> StringBody(<span class="jxr_string">"text"</span>);
<a class="jxr_linenumber" name="42" href="#42">42</a>          Assert.assertEquals(4, b1.getContentLength());
<a class="jxr_linenumber" name="43" href="#43">43</a>  
<a class="jxr_linenumber" name="44" href="#44">44</a>          Assert.assertEquals(<span class="jxr_string">"US-ASCII"</span>, b1.getCharset());
<a class="jxr_linenumber" name="45" href="#45">45</a>  
<a class="jxr_linenumber" name="46" href="#46">46</a>          Assert.assertNull(b1.getFilename());
<a class="jxr_linenumber" name="47" href="#47">47</a>          Assert.assertEquals(<span class="jxr_string">"text/plain"</span>, b1.getMimeType());
<a class="jxr_linenumber" name="48" href="#48">48</a>          Assert.assertEquals(<span class="jxr_string">"text"</span>, b1.getMediaType());
<a class="jxr_linenumber" name="49" href="#49">49</a>          Assert.assertEquals(<span class="jxr_string">"plain"</span>, b1.getSubType());
<a class="jxr_linenumber" name="50" href="#50">50</a>  
<a class="jxr_linenumber" name="51" href="#51">51</a>          Assert.assertEquals(MIME.ENC_8BIT, b1.getTransferEncoding());
<a class="jxr_linenumber" name="52" href="#52">52</a>  
<a class="jxr_linenumber" name="53" href="#53">53</a>          StringBody b2 = <strong class="jxr_keyword">new</strong> StringBody(<span class="jxr_string">"more text"</span>, <span class="jxr_string">"text/other"</span>, MIME.DEFAULT_CHARSET);
<a class="jxr_linenumber" name="54" href="#54">54</a>          Assert.assertEquals(9, b2.getContentLength());
<a class="jxr_linenumber" name="55" href="#55">55</a>          Assert.assertEquals(MIME.DEFAULT_CHARSET.name(), b2.getCharset());
<a class="jxr_linenumber" name="56" href="#56">56</a>  
<a class="jxr_linenumber" name="57" href="#57">57</a>          Assert.assertNull(b2.getFilename());
<a class="jxr_linenumber" name="58" href="#58">58</a>          Assert.assertEquals(<span class="jxr_string">"text/other"</span>, b2.getMimeType());
<a class="jxr_linenumber" name="59" href="#59">59</a>          Assert.assertEquals(<span class="jxr_string">"text"</span>, b2.getMediaType());
<a class="jxr_linenumber" name="60" href="#60">60</a>          Assert.assertEquals(<span class="jxr_string">"other"</span>, b2.getSubType());
<a class="jxr_linenumber" name="61" href="#61">61</a>  
<a class="jxr_linenumber" name="62" href="#62">62</a>          Assert.assertEquals(MIME.ENC_8BIT, b2.getTransferEncoding());
<a class="jxr_linenumber" name="63" href="#63">63</a>      }
<a class="jxr_linenumber" name="64" href="#64">64</a>  
<a class="jxr_linenumber" name="65" href="#65">65</a>      @Test
<a class="jxr_linenumber" name="66" href="#66">66</a>      <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testInputStreamBody() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="67" href="#67">67</a>          byte[] stuff = <span class="jxr_string">"Stuff"</span>.getBytes(<span class="jxr_string">"US-ASCII"</span>);
<a class="jxr_linenumber" name="68" href="#68">68</a>          InputStreamBody b1 = <strong class="jxr_keyword">new</strong> InputStreamBody(<strong class="jxr_keyword">new</strong> ByteArrayInputStream(stuff), <span class="jxr_string">"stuff"</span>);
<a class="jxr_linenumber" name="69" href="#69">69</a>          Assert.assertEquals(-1, b1.getContentLength());
<a class="jxr_linenumber" name="70" href="#70">70</a>  
<a class="jxr_linenumber" name="71" href="#71">71</a>          Assert.assertNull(b1.getCharset());
<a class="jxr_linenumber" name="72" href="#72">72</a>          Assert.assertEquals(<span class="jxr_string">"stuff"</span>, b1.getFilename());
<a class="jxr_linenumber" name="73" href="#73">73</a>          Assert.assertEquals(<span class="jxr_string">"application/octet-stream"</span>, b1.getMimeType());
<a class="jxr_linenumber" name="74" href="#74">74</a>          Assert.assertEquals(<span class="jxr_string">"application"</span>, b1.getMediaType());
<a class="jxr_linenumber" name="75" href="#75">75</a>          Assert.assertEquals(<span class="jxr_string">"octet-stream"</span>, b1.getSubType());
<a class="jxr_linenumber" name="76" href="#76">76</a>  
<a class="jxr_linenumber" name="77" href="#77">77</a>          Assert.assertEquals(MIME.ENC_BINARY, b1.getTransferEncoding());
<a class="jxr_linenumber" name="78" href="#78">78</a>  
<a class="jxr_linenumber" name="79" href="#79">79</a>          InputStreamBody b2 = <strong class="jxr_keyword">new</strong> InputStreamBody(
<a class="jxr_linenumber" name="80" href="#80">80</a>                  <strong class="jxr_keyword">new</strong> ByteArrayInputStream(stuff), <span class="jxr_string">"some/stuff"</span>, <span class="jxr_string">"stuff"</span>);
<a class="jxr_linenumber" name="81" href="#81">81</a>          Assert.assertEquals(-1, b2.getContentLength());
<a class="jxr_linenumber" name="82" href="#82">82</a>          Assert.assertNull(b2.getCharset());
<a class="jxr_linenumber" name="83" href="#83">83</a>          Assert.assertEquals(<span class="jxr_string">"stuff"</span>, b2.getFilename());
<a class="jxr_linenumber" name="84" href="#84">84</a>          Assert.assertEquals(<span class="jxr_string">"some/stuff"</span>, b2.getMimeType());
<a class="jxr_linenumber" name="85" href="#85">85</a>          Assert.assertEquals(<span class="jxr_string">"some"</span>, b2.getMediaType());
<a class="jxr_linenumber" name="86" href="#86">86</a>          Assert.assertEquals(<span class="jxr_string">"stuff"</span>, b2.getSubType());
<a class="jxr_linenumber" name="87" href="#87">87</a>  
<a class="jxr_linenumber" name="88" href="#88">88</a>          Assert.assertEquals(MIME.ENC_BINARY, b2.getTransferEncoding());
<a class="jxr_linenumber" name="89" href="#89">89</a>      }
<a class="jxr_linenumber" name="90" href="#90">90</a>  
<a class="jxr_linenumber" name="91" href="#91">91</a>  }
</pre>
<hr/><div id="footer">This page was automatically generated by <a href="http://maven.apache.org/">Maven</a></div></body>
</html>

